Description

This is patch v1.41 for Battlefield 2. It is required for the installation of the latest patch, v1.50.

Preview
Battlefield 2 v1.41 Patch
Comments
Guest
Guest

Do i need v1.40 before i install the v1.41?

Reply Good karma Bad karma0 votes
Plokite_Wolf Author
Plokite_Wolf

No. v1.41 includes every patch made before it. The only problem is v1.50, which doesn't, so this patch is required before v1.50 can be applied.

Reply Good karma+5 votes
Guest
Guest

how to install this? that is send me error " cant find game folder "

Reply Good karma Bad karma0 votes
Plokite_Wolf Author
Plokite_Wolf

Did you install the game from the disc as administrator, and did you do the same with the patch executable?

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

cmsumeet
cmsumeet

After installing when i copied all the files and replaced it, then i tried to play the game it shows black screen for 2 or 3 seconds and then crash...... What i should do now.....??????

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Blackhawn
Blackhawn

same here

Reply Good karma Bad karma+1 vote
Guest
Guest

i had the same problem but i used swiftshader and it worked

Reply Good karma Bad karma0 votes
lucasnivon7
lucasnivon7

swiftshader.... what's that? mod or addon...? because when I search it, doesn't provide any result in search engine....

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

can't findinstall folder for Battlefield 2(TM). how to fix it?

Reply Good karma Bad karma0 votes
Plokite_Wolf Author
Plokite_Wolf

Run it as administrator.

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

domiboy101
domiboy101

how do I actually apply it to the classic disk game?

Reply Good karma Bad karma+1 vote
Plokite_Wolf Author
Plokite_Wolf

You run it after installing the game, duh...

Reply Good karma+2 votes
muslimbosnian
muslimbosnian

i have the same problem but when i run at as admin it still happense got any help?

Reply Good karma Bad karma+1 vote
Guest
Guest

good

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

I installed the patch finding it does not run the game anymore

Reply Good karma Bad karma+1 vote
VnVicky
VnVicky

it say please ensure bf2 install disc is in the drive.

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Asgan125
Asgan125

does it affect addons when isntalling it ???

Reply Good karma Bad karma+1 vote
Asgan125
Asgan125

I accidentally install 1.5 patch xD

Reply Good karma Bad karma+1 vote
Youlocobro
Youlocobro

Can I install this patch on my version of BF2? 'cause it's highly compressed and its version is 1.0.2442.0

Reply Good karma Bad karma+1 vote
Bosxalau
Bosxalau

if I have version 1.0.244 can I install this version? (I need 1.41 for forgotten hope 2)

Reply Good karma Bad karma+1 vote
DewdJP
DewdJP

Help it keep saying patching failed

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.